Summary:	xbacklight application - adjust backlight brightness using RandR extension
Summary(pl.UTF-8):	Aplikacja xbacklight - zmiana jasności podświetlenia obrazu poprzez RandR
Name:		xorg-app-xbacklight
Version:	1.2.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xbacklight-%{version}.tar.bz2
# Source0-md5:	5b6405973db69c0443be2fba8e1a8ab7
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
# xcb xcb-randr >= 1.2
BuildRequires:	libxcb-devel >= 1.2
# xcb-atom xcb-aux
BuildRequires:	xcb-util-devel
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	libxcb >= 1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xbacklight is used to adjust the backlight brightness using RandR
extension where supported. It finds all outputs on the X server
supporting backlight brightness control and changes them all in the
same way.

%description -l pl.UTF-8
xbacklight służy do zmiany jasności podświetlenia ekranu przy użyciu
rozszerzenia RandR, o ile jest to obslugiwane. Znajduje wszystkie
wyjścia serwera X obsługujące sterowanie jasnością podświetlenia i
zmienia je w ten sam sposób.

%prep
%setup -q -n xbacklight-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xbacklight
%{_mandir}/man1/xbacklight.1*
%changelog
* Tue Jul 16 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xbacklight.git;a=log;h=master

* Tue Jul 16 2019 Jakub Bogusz <qboosh@pld-linux.org> 9cf2e55
- updated to 1.2.3

* Thu Mar 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 85ef819
- updated to 1.2.2

* Mon Oct 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 5d849d2
- fixed build without xman suffix

* Mon Oct 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 8e7e9aa
- updated to 1.2.1

* Sat Jan 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 68ca9a2
- release 2 (by relup.sh)

* Wed Sep 12 2012 Jakub Bogusz <qboosh@pld-linux.org> f8cbd20
- updated to 1.2.0 (now xcb-based)

* Thu Dec 09 2010 Jakub Bogusz <qboosh@pld-linux.org> 9f59938
- updated to 1.1.2

* Tue Oct 06 2009 Jakub Bogusz <qboosh@pld-linux.org> 19abad5
- updated util-macros version
- added ChangeLog and README to doc

* Fri Sep 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a47aac3
- up to 1.1.1

* Thu Jun 21 2007 Jakub Bogusz <qboosh@pld-linux.org> 14e7e8b
- new

